<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
UpdateReferences Method (IEdmItem)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmItem Interface : UpdateReferences Method (IEdmItem)

Visual Basic
C#
C++/CLI

ppoAddReferences
  Array of EdmItemRef structures; one structure for each item reference to add or update

ppoRemoveReferences
  Array of EdmItemRef structures; one structure for each item reference to remove

Adds and removes references to and from this item.

# Syntax

Visual Basic |
--- | ---

    Sub UpdateReferences( _
       ByRef ppoAddReferences() As EdmItemRef, _
       ByRef ppoRemoveReferences() As EdmItemRef _
    )

C# |
--- | ---

    void UpdateReferences(
       out EdmItemRef[] ppoAddReferences,
       out EdmItemRef[] ppoRemoveReferences
    )

C++/CLI |
--- | ---

    void UpdateReferences(
    &   [Out] array<EdmItemRef>^ ppoAddReferences,
    &   [Out] array<EdmItemRef>^ ppoRemoveReferences
    )

#### Parameters

ppoAddReferences
  Array of EdmItemRef structures; one structure for each item reference to add or update
ppoRemoveReferences
  Array of EdmItemRef structures; one structure for each item reference to remove

# Example

See the IEdmItem examples.

# Remarks

It is more efficient to use IEdmBatchItemReferenceUpdate, if you need to update the references of several items at the same time.

Note that the references in argument ppoRemoveReferences are deleted after references in ppoAddReferences are created or updated. A reference present in both lists is, therefore, updated and then immediately deleted.

See the Programming Items topic for more information.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmItem Interface
IEdmItem Members

# Availability

SOLIDWORKS PDM Professional 2010